package com.maniu.http;

/**
 * 请求对象的顶层接口
 */
public interface IHttpRequest {
    void setUrl(String url);

    void setData(byte[] bytes);

    void setListener(CallBackListenner callBackListenner);

    /**
     * 执行请求的方法
     */
    void excute();

    CallBackListenner getCallBackListenner();

}
